import React from 'react';
import {validDateExample} from '../../utils/date-utils';

export default {
    actionLabel: 'Action',
    addButton: 'Add',
    addNewRowButton: 'Add new row',
    addNewTabLabel: 'Add new tab',
    addPatchEntryButton: 'Add patch entry',
    allowResize: 'Allow resize',
    animateLabel: 'Animate',
    apiLabel: 'API',
    applyDefaultValueButton: 'Apply default value',
    browseButton: 'Browse',
    cancelButton: 'Cancel',
    clearAllLabel: 'Clear all',
    collapseAll: 'Collapse All',
    confirmLeaveSaveTitle: 'Leave without saving?',
    createAnotherLabel: 'Create another',
    currentProgressLabel: 'Current progress',
    dateIsNotAllowed: 'Chosen date is not allowed',
    dipLookupToggleTooltipMessage: 'Toggle between input field and predefined value selection.',
    disabledLabel: 'Disabled',
    discardButton: 'Discard changes',
    displayModeLabel: 'Display Mode',
    displaySizeLabel: 'Size',
    displaySizeLargeLabel: 'Large',
    displaySizeMediumLabel: 'Medium',
    displaySizeSmallLabel: 'Small',
    duplicateTag: (tag) => <span>Item <label>{tag}</label> is already added.</span>,
    emptyKeyErrorMessage: 'Empty key is not allowed.',
    encryptedChangedValueLabel: '*(changed) encrypted value*',
    encryptedUnchangedValueLabel: '*(unchanged) encrypted value*',
    fieldIsRequired: 'This field is required',
    fileTypeLabel: 'File type',
    filterByPlaceholder: 'Filter by placeholder...',
    focusLabel: 'Focus',
    hideButton: 'Hide',
    inputTypeLabel: 'Input Type',
    invalidCiInTheListMessage: 'One or more configuration item is invalid',
    invalidDateExampleMessage: `Example: ${validDateExample}`,
    invalidDateFormatMessage: 'Format: <%= dateFormat %>',
    invalidIntegerProvidedMessage: 'Invalid integer provided',
    invalidItem: 'Invalid item',
    keyAlreadyInUse: (key) =>
        <span className="duplicate-key-error">
            <span className="outer-text">Key </span>
            <strong title={key}>{key}</strong>
            <span className="outer-text"> is already in use.</span>
        </span>,
    keyLabel: 'Key',
    keyPlaceholder: 'Add key...',
    lastPushedPatchLabel: 'Last pushed patch',
    lastUpdatedTimestamp: 'Last updated: <%= timestamp %>',
    leaveAction: 'Leave',
    maximumDateLabel: 'Maximum date',
    minimumDateLabel: 'Minimum date',
    modelLabel: 'Model',
    modifyPatchTooltip: 'Modify patch',
    moreLabel: 'more',
    nameLabel: 'Name',
    noKeyValueDefined: 'No key/value defined',
    noSample: 'No sample',
    noSearchResults: 'No search results',
    onlyUniqueSuggestionLabel: 'Only unique suggestion',
    passwordLabel: 'Password',
    patchDictionaryLostChangesMessage: 'You have unsaved changes. Do you want to save or discard them?',
    patchDictionaryLostChangesTitle: 'Discard changes',
    patchDictionaryPatchWithPanelTitle: 'Patch with',
    patchDictionaryPathTitle: 'Patch dictionary sample path',
    patchDictionarySamplePanelTitle: 'Sample',
    patchEditorDescription:
        'Patch dictionaries by selecting path and then action. Available actions are Replace/Edit, Add or Delete',
    pristineLabel: 'Pristine',
    propertyLabel: 'Property',
    readOnlyLabel: 'Read only',
    removePatchTooltip: 'Remove patch',
    reportPaginationTotals: 'Total: <%= total %>',
    requiredLabel: 'Required',
    resetPristinityButton: 'Reset pristinity',
    searchLabel: 'Search for key/value...',
    selectAllLabel: 'Select all',
    selectedActionLabel: 'Selected action',
    selectedLinesLabel: 'Selected lines',
    selectedRow: 'Selected row',
    showButton: 'Show',
    showMessagesLabel: 'Show messages',
    skinLabel: 'Skin',
    spinnerMessage: 'Loading',
    stayOnPageButton: 'Stay on the page',
    strictValidationLabel: 'Strict validation',
    strippedLabel: 'Stripped',
    tableEmptyDataMessage: 'No data available for the selected filter',
    tableErrorMessage: 'Error occurred while fetching report',
    tableFilterInputPlaceholderFallback: 'Search',
    tableLoadingMessage: 'Data loading… This process may take some time.',
    toggleLoadingLabel: 'Toggle loading',
    typeLabel: 'Type',
    unsavedChangesNotification: 'If you leave now, all unsaved changes will be lost.',
    updatePatchEntryButton: 'Update patch entry',
    uploadedMessage: 'Uploaded <%= currentProgress %>%',
    validLabel: 'Valid',
    valueIsRequired: 'Value is required',
    valueLabel: 'Value',
    valuePlaceholder: 'Add value...'
};
