import R from 'ramda';
import {WARNING} from '../../utils/ci-utils';
import RU from '../../utils/ramda-utils';
import {lookupSuggestedElements} from '../handlers/predefined-handlers';

export const vaultValidator = (fieldName, model) => {
    const isApplicable = () => R.equals(fieldName, 'vault') && model && RU.isDefined(model.provider);

    if (isApplicable()) {
        if (!R.pipe(
            R.pluck('id'),
            R.contains(model.provider)
        )(lookupSuggestedElements)) {
            return {
                condition: true,
                message: {show: true, text: 'Invalid vault provider value', type: WARNING}
            };
        }
    }

    return {condition: false};
};
