import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import ElementNavTitle from './element-nav-title';

export default class DisplayTestComponent extends PureComponent {
    static propTypes = {
        children: PropTypes.oneOfType([
            PropTypes.element,
            PropTypes.array
        ]),
        className: PropTypes.string.isRequired,
        currentState: PropTypes.object.isRequired,
        modelName: PropTypes.string.isRequired
    };

    render() {
        const {children, className, currentState, modelName} = this.props;
        const {
            description,
            title,
            type
        } = currentState[modelName].navigation;

        return <div>
            <ElementNavTitle
                description={description}
                modelName={modelName}
                title={title}
                type={type}
            />
            <div className={className}>
                <div className="testComponent">
                    {children}
                </div>
            </div>
        </div>;
    }
}
