import React, {Component} from 'react';
import R from 'ramda';
import kitchenTestComponentProperties from './kitchen-test-component-props';
import DipKitchenTestComponent from './dip-kitchen-test-component';

export default class FormKitchenTestComponent extends Component {
    static propTypes = kitchenTestComponentProperties;

    getModel() {
        const {currentState, modelName} = this.props;
        return currentState[modelName];
    }

    getProps() {
        const {currentState, modelName} = this.props;
        const modelState = currentState[modelName];

        const {metadata, model, pristinity, validity} = modelState;
        return {
            ...this.props,
            currentState: {
                ...currentState,
                [modelName]: {
                    ...R.omit(['metadata', 'model', 'pristinity', 'validity'], modelState),
                    componentProps: {
                        metadata,
                        model,
                        pristinity,
                        validity
                    }
                }
            }
        };
    }

    render() {
        return this.getModel() ? <DipKitchenTestComponent
            {...{...this.getProps(), autoCleanup: false, isForm: true}}
        /> : null;
    }
}
