import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';

export default class ToggleComponent extends PureComponent {
    static propTypes = {
        checked: PropTypes.bool,
        clazzName: PropTypes.string,
        handleToggle: PropTypes.func,
        label: PropTypes.string
    };

    render() {
        const {clazzName, handleToggle, label, checked} = this.props;
        return <div>
            <span className="label">{label}</span>
            <input checked={checked || false} className={clazzName} onChange={handleToggle} type="checkbox"/>
        </div>;
    }
}
