import R from 'ramda';
import React from 'react';
import {XlReactWidgetString} from '../../xl-react-widget/xl-react-widget-string/xl-react-widget-string';
import {XlReactWidgetAutocomplete} from '../../xl-react-widget/xl-react-widget-autocomplete/xl-react-widget-autocomplete'; // eslint-disable-line max-len

const autocompleteHandlers = {
    addCandidates:
        () => Promise.resolve(R.map((id) => ({id}), ['Grape', 'Orange', 'Apple']))
};

export const TabsInitialState = {
    XlReactTabSystem1: {
        actions: [{
            action: () => TabsInitialState.XlReactTabSystem1.tabsApi.removeAllTabs(),
            label: 'Close all tabs'
        }],
        activeTabId: '1',
        config: {openAnotherTabIfCurrentIsClosed: true},
        data: [{
            fullTitle: 'Full title for xl-react-widget-string',
            pristine: true,
            tabId: '1',
            title: 'xl-react-widget-string',
            viewType: 'xl-react-widget-string'
        }, {
            fullTitle: 'Full title for xl-react-widget-select-with-very-long-title',
            pristine: true,
            tabId: '2',
            title: 'xl-react-widget-select-with-very-long-title',
            viewType: 'xl-react-widget-select'
        }],
        registerApi: (tabsApi) => {
            TabsInitialState.XlReactTabSystem1.tabsApi = tabsApi;
        },
        skin: 'default',
        tabDefinitions: {
            'xl-react-widget-select': {
                renderContent: () => <XlReactWidgetAutocomplete
                    handlers={autocompleteHandlers}
                    metadata={{required: true}}
                />
            },
            'xl-react-widget-string': {
                renderContent: () =>
                    <XlReactWidgetString metadata={{required: true}} model="apple"/>
            }
        }
    }
};
