import R from 'ramda';
import RS from 'ramdasauce';

export const hiddenKey = RS.startsWith('$');

export const filterOutHiddenKeys = (object) => {
    const keysToObject = (keys) => R.reduce((acc, key) => ({...acc, [key]: object[key]}), {}, keys);

    return R.pipe(
        R.keys,
        R.filter(R.complement(hiddenKey)),
        keysToObject
    )(object);
};
