import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';

import {AddRowButtonComponent} from './add-row-button';
import {SearchPanelComponent} from './search-panel';

import './top-panel.less';

export class TopPanelComponent extends PureComponent {
    static propTypes = {
        disabled: PropTypes.bool.isRequired,
        handleAddRow: PropTypes.func.isRequired,
        handleCleaningSearchWord: PropTypes.func.isRequired,
        handleSearchChanged: PropTypes.func.isRequired,
        searchWord: PropTypes.string.isRequired
    };

    render() {
        const {
            disabled,
            handleAddRow,
            handleCleaningSearchWord,
            handleSearchChanged,
            searchWord

        } = this.props;

        const searchPanel = () => <SearchPanelComponent {...({
            handleCleaningSearchWord,
            handleSearchChanged,
            searchWord
        })}
        />;

        const addRowButton = () => <AddRowButtonComponent {...({
            disabled,
            handleAddRow
        })}
        />;

        return <div className="top-panel">
            {addRowButton()}
            {searchPanel()}
        </div>;
    }
}
