import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import {AddRowButtonComponent} from '../xl-react-dip-map-string-string/add-row-button';
import {SearchPanelComponent} from './search-panel';

import './top-panel.less';

export class TopPanelComponent extends PureComponent {
    static propTypes = {
        canAddNewItem: PropTypes.bool.isRequired,
        disabled: PropTypes.bool.isRequired,
        handleAddRow: PropTypes.func.isRequired,
        handleCleaningSearchWord: PropTypes.func.isRequired,
        handleSearchChanged: PropTypes.func.isRequired,
        searchWord: PropTypes.string.isRequired
    };

    render() {
        const {
            canAddNewItem,
            disabled,
            handleAddRow,
            handleCleaningSearchWord,
            handleSearchChanged,
            searchWord

        } = this.props;

        const searchPanel = (newItemsDisabled) => <SearchPanelComponent {...({
            handleCleaningSearchWord,
            handleSearchChanged,
            newItemsDisabled,
            searchWord
        })}
        />;

        const addRowButton = () => <AddRowButtonComponent {...({
            disabled,
            handleAddRow
        })}
        />;

        return <div className="top-panel">
            {canAddNewItem ? addRowButton() : null}
            {canAddNewItem ? searchPanel(false) : searchPanel(true)}
        </div>;
    }
}
