import {call, put, select} from 'redux-saga/effects';
import tableActions from '../xl-react-widget-redux-table-actions';
import {getSortingWithSortKey} from '../xl-react-widget-table-selectors';
import {buildMetadata} from '../query-builder-utils';
import {fetchData, withSpinner} from './xl-react-widget-redux-table-common-saga';

export function* sort({api, name, order, tableId}) {
    const sorting = yield select(getSortingWithSortKey, tableId);
    yield put(tableActions.setSorting(tableId, name, order));
    yield call(fetchData, tableId, api, buildMetadata('sorting', sorting));
}

export function* sortSaga({api, name, order, tableId}) {
    yield call(withSpinner, tableId, call(sort, {
        api,
        name,
        order,
        tableId
    }));
}
