import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import './xl-react-widget-reveal-password-icon.less';

const XlReactWidgetRevealPasswordIcon = (props) => {
    const {handleRevealPassword, isPasswordRevealed, showIconCondition} = props;
    const className = classNames(`xl-icon visibility-${!isPasswordRevealed ? 'on' : 'off'}-icon`);
    const handleMouseDown = (event) => event.preventDefault();

    return showIconCondition() ?
        <span
            className={className}
            onClick={handleRevealPassword}
            onMouseDown={handleMouseDown}
        /> : null;
};

XlReactWidgetRevealPasswordIcon.propTypes = {
    handleRevealPassword: PropTypes.func,
    isPasswordRevealed: PropTypes.bool,
    showIconCondition: PropTypes.func
};

export default XlReactWidgetRevealPasswordIcon;
