import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import './xl-react-widget-spinner.less';

export class XlReactWidgetSpinner extends PureComponent {
    static propTypes = {
        className: PropTypes.string,
        message: PropTypes.node,
        messageClassName: PropTypes.string,
        overlay: PropTypes.bool.isRequired,
        show: PropTypes.bool.isRequired
    };

    static defaultProps = {overlay: true};

    render() {
        const {className, show, overlay, message, messageClassName} = this.props;

        const spinnerContainerClassName = classNames('xl-react-widget-spinner-container', className, {
            'xl-react-widget-spinner-block': !overlay,
            'xl-react-widget-spinner-overlay': overlay
        });

        const messageContainerClassName = classNames('xl-react-widget-spinner-message', messageClassName);

        return show ? <div className={spinnerContainerClassName}>
            <div className="xl-react-widget-spinner"/>
            {message && <div className={messageContainerClassName}>{message}</div>}
        </div> : null;
    }
}
