import ReactDOM from 'react-dom';
import R from 'ramda';
import $ from 'jquery';

export const REMAINING_TAGS_LABEL_WIDTH = 80;
export const TAG_WIDTH = 80;

export const getTagsField = (inputField) =>
    $(ReactDOM.findDOMNode(inputField)); /* eslint-disable-line react/no-find-dom-node */

export const getTagsFieldWidth = (tagsField) => tagsField ? Math.floor(tagsField.width()) : 0;

export const getNoOfTagsToDisplay = (tagsFieldWidth, model) =>
    Math.floor((tagsFieldWidth - REMAINING_TAGS_LABEL_WIDTH) / TAG_WIDTH) > 0 ?
        Math.floor((tagsFieldWidth - REMAINING_TAGS_LABEL_WIDTH) / TAG_WIDTH) : model.length;

export const getRemainingTags = (tagsField, model) => {
    const tagsFieldWidth = getTagsFieldWidth(tagsField);
    const noOfTagsToDisplay = getNoOfTagsToDisplay(tagsFieldWidth, model);

    return R.slice(noOfTagsToDisplay, Infinity, model) || [];
};
