import R from 'ramda';
import gulp from 'gulp';
import nlf from 'nlf';
import paths from '../utils/paths';

const excludedLibs = ['clusterize.js'];

const getLibId = (lib) => R.head(lib.id.split('@'));

gulp.task('gpl-check', (cb) => {
    nlf.find({directory: paths.projectDir}, (err, data) => {
        const foundLibs = R.filter((library) => {
            const sources = R.path(['licenseSources', 'package', 'sources'], library);
            const foundSource = R.find((source) => source.license.startsWith('GPL'), sources);
            return !R.isNil(foundSource);
        }, data);

        const libsToCheck = R.filter((lib) => !excludedLibs.includes(getLibId(lib)), foundLibs);

        if (!R.isEmpty(libsToCheck)) {
            const GPLLibs = R.map(getLibId, libsToCheck);
            cb(`Found next libraries with GPL license: ${GPLLibs}`);
        } else {
            cb();
        }
    });
});
