import {Action, Expectation} from 'protractor-base-dsl';

export const clickOnDescription = () =>
    Action.click('.testComponent .xl-react-components-description');

export const clickOnLabel = () =>
    Action.click('.testComponent .xl-react-components-label label');

export const expectDescription = (description) => {
    Expectation.notPresent('.testComponent .error.xl-react-components-description');
    Expectation.textEquals('.testComponent .xl-react-components-description', description);
};

export const expectNoErrorMessage = () =>
    Expectation.notPresent('.testComponent .xl-react-alert-message');

export const expectError = (errorMessage) =>
    Expectation.textEquals('.testComponent .error.xl-react-components-description', errorMessage);

export const expectLabel = (label) =>
    Expectation.textEquals('.testComponent .xl-react-components-label label', label);

const XlComponent = {
    clickOnDescription,
    clickOnLabel,
    expectDescription,
    expectError,
    expectLabel,
    expectNoErrorMessage
};

export default XlComponent;

global.XlComponent = XlComponent;
