import XlComponentsHelper from '../../common/xl-components-helper';

const getElementInForm = (fieldLabel) =>
    XlComponentsHelper.getElementByLabel(fieldLabel, element(By.css('.testComponent')));

export const getToggleButton = (fieldLabel) =>
    getElementInForm(fieldLabel).element(By.css('.xl-react-widget-switch-button'));

const getLookupField = (fieldLabel, selector) => getElementInForm(fieldLabel)
    .element(By.xpath('..'))
    .element(By.css(`.xl-react-dip-lookup ${selector}`));

export const getLookupInputField = (fieldLabel) => getLookupField(fieldLabel, 'input[type="password"]');

export const getLookupTextareaField = (fieldLabel) => getLookupField(fieldLabel, 'textarea');

export const getLookupProviderField = (fieldLabel) => getElementInForm(fieldLabel)
    .element(By.xpath('..'))
    .element(By.css('.xl-react-dip-lookup'))
    .element(By.css('input[type="text"]'));

export const getLookupKeyField = (fieldLabel) => getElementInForm(fieldLabel)
    .element(By.xpath('..'))
    .element(By.css(
        '.xl-react-widget-string input'
    ));

export const getLookupDescription = (fieldLabel, subSelector = '') => getElementInForm(fieldLabel)
    .element(By.xpath('..'))
    .element(By.css(
        `.xl-react-widget-string .xl-react-components-description${subSelector}`
    ));

const LookupField = {
    getLookupDescription,
    getLookupInputField,
    getLookupKeyField,
    getLookupProviderField,
    getLookupTextareaField,
    getToggleButton
};

export default LookupField;

global.LookupField = LookupField;
