import {Action, Expectation} from 'protractor-base-dsl';
import XlComponent from '../../component/base/xl-component';

const componentSelector = '.testComponent .xl-react-widget-date';
const inputSelector = `${componentSelector} input`;
const datePickerSelector = '.react-datepicker';

export const clickOnInput = () => Action.clickIfClickable(inputSelector);
export const expectInputDisabled = () => Expectation.disabled(inputSelector);
export const expectInputEnabled = () => Expectation.enabled(inputSelector);
export const expectInputValue = (value) =>
    Expectation.attributeContainsValue(`${componentSelector} input`, 'value', value);
export const expectDatePickerPresent = () =>
    Expectation.present(datePickerSelector);
export const expectDatePickerNotPresent = () =>
    Expectation.notPresent(datePickerSelector);
export const selectDay = (day) =>
    Action.click(`${datePickerSelector} .react-datepicker__day--0${day}`);
export const setValue = (value) =>
    Action.typeText(inputSelector, value);

const WidgetDate = {
    ...XlComponent,
    clickOnInput,
    expectInputDisabled,
    expectInputEnabled,
    expectInputValue,
    expectDatePickerPresent,
    expectDatePickerNotPresent,
    selectDay,
    setValue
};

export default WidgetDate;
global.WidgetDate = WidgetDate;
