import {Action, Expectation} from 'protractor-base-dsl';
import XlComponent from '../base/xl-component';

const switchLabelSelector = '.testComponent .xl-react-widget-switch .xl-react-widget-switch-label';

const toggleSwitch = () => {
    Action.click(switchLabelSelector);
};

const expectSwitchToBeOn = () => {
    Expectation.displayed(`${switchLabelSelector}.xl-react-widget-switch-checked`);
};

const expectSwitchToBeOff = () => {
    Expectation.notDisplayed(`${switchLabelSelector}.xl-react-widget-switch-checked`);
};

const expectSwitchToBeDisabled = () => {
    Expectation.displayed(`${switchLabelSelector}.xl-react-widget-switch-disabled`);
};

const WidgetSwitch = {
    ...XlComponent,
    expectSwitchToBeOn,
    expectSwitchToBeOff,
    expectSwitchToBeDisabled,
    toggleSwitch
};

export default WidgetSwitch;

global.WidgetSwitch = WidgetSwitch;
