import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import DipCi from '../../../dsl/component/dip/dip-ci';

describe('XL DIP Ci Default Scenario', () => {
    beforeAll(() => Navigation.openDipElement('dipCi2'));

    afterEach(() => TestBindings.resetPristinity());

    it('should have right initial state and should show all suggestions when pristine', () => {
        TestBindings.expectModelToEqual('Application2');
        TestBindings.expectPristineToEqual('true');
        TestBindings.expectValidToEqual('true');

        DipCi.expectLabel('Ci');
        DipCi.expectDescription('With simple string');
        DipCi.openSelection();
        DipCi.expectSuggestionValue(1, 'Application1');
        DipCi.expectSuggestionValue(3, 'Application3');
        DipCi.expectSuggestionValue(4, 'Application4');
        DipCi.expectSuggestionValue(5, 'Application5');
    });

    it('should display cross if any text is typed in input field', () => {
        TestBindings.expectModelToEqual('Application2');
        DipCi.expectClearSelectionPresent();
        TestBindings.expectPristineToEqual('true');
        DipCi.clearSelection();
        TestBindings.expectPristineToEqual('false');
        DipCi.expectClearSelectionNotPresent();
        TestBindings.expectModelToEqual('');
    });
});
