import Navigation from '../../dsl/common/navigation';
import WidgetFilter from '../../dsl/component/widget/widget-filter';

describe('XL Widget Filter Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetFilter1'));

    it('should have right initial state', () => {
        WidgetFilter.expectLabel("I'm a filter");
        WidgetFilter.expectInputPlaceholderToEqual("I'm a placeholder");
        WidgetFilter.expectEmptyInputValue();
    });

    it('should display cross if any text is typed in filter input field', () => {
        WidgetFilter.expectClearIconNotPresent();
        WidgetFilter.setValue('m');
        WidgetFilter.expectClearIconPresent();
        WidgetFilter.clearValue();
        WidgetFilter.expectClearIconNotPresent();
        WidgetFilter.expectEmptyInputValue();
    });
});
