import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import WidgetString from '../../../dsl/component/widget/widget-string';

describe('XL Widget String Required Scenario', () => {
    beforeAll(() => {
        Navigation.openWidgetElement('widgetString1');
        TestBindings.toggleRequired();
    });

    afterAll(() => {
        TestBindings.resetPristinity();
        TestBindings.toggleRequired();
    });

    it('should have right initial state', () => {
        TestBindings.expectModelToEqual('');
        TestBindings.expectValidToEqual('false');
        TestBindings.expectPristineToEqual('true');
        WidgetString.expectPlaceholderToEqual('String placeholder');
        WidgetString.expectDescription('This is my string field.');
        WidgetString.expectLabel('String me*');
    });

    it('should properly show invalid state depends on provided data', () => {
        WidgetString.setValue('s');
        TestBindings.expectValidToEqual('true');
        WidgetString.clearValue();
        TestBindings.expectValidToEqual('false');
        TestBindings.expectPristineToEqual('false');
    });
});
