import Navigation from '../../dsl/common/navigation';
import WidgetSwitch from '../../dsl/component/widget/widget-switch';
import TestBindings from '../../dsl/common/test-bindings';

describe('XL Widget Switch Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetSwitch'));

    it('should have right initial state', () => {
        WidgetSwitch.expectSwitchToBeOn();

        TestBindings.expectModelToEqual('true');
        TestBindings.expectPristineToEqual('true');
    });

    it('should toggle switch', () => {
        WidgetSwitch.toggleSwitch();
        WidgetSwitch.expectSwitchToBeOff();

        TestBindings.expectModelToEqual('false');
        TestBindings.expectPristineToEqual('false');

        WidgetSwitch.toggleSwitch();
        WidgetSwitch.expectSwitchToBeOn();

        TestBindings.expectModelToEqual('true');
        TestBindings.expectPristineToEqual('false');

        TestBindings.resetPristinity();
        TestBindings.expectPristineToEqual('true');
    });

    it('should disable switch', () => {
        TestBindings.toggleDisabled();
        TestBindings.expectModelToEqual('true');

        WidgetSwitch.expectSwitchToBeDisabled();
        WidgetSwitch.expectSwitchToBeOn();

        WidgetSwitch.toggleSwitch();
        WidgetSwitch.expectSwitchToBeDisabled();
        WidgetSwitch.expectSwitchToBeOn();

        TestBindings.expectModelToEqual('true');
        TestBindings.expectPristineToEqual('true');
    });
});
