import Navigation from '../../../dsl/common/navigation';
import WidgetReduxTable from '../../../dsl/component/widget/widget-redux-table';
import ReduxTableDatePicker from '../../../dsl/component/redux-table-filters/redux-table-date-picker';

describe('XL Widget Table Date Picker Scenario', () => {
    const afterDatePicker = new ReduxTableDatePicker(
        '.xl-react-redux-table-filters-panel .filters-panel-column:nth-child(1) .xl-react-widget-date'
    );
    const beforeDatePicker = new ReduxTableDatePicker(
        '.xl-react-redux-table-filters-panel .filters-panel-column:nth-child(2) .xl-react-widget-date'
    );
    beforeAll(() => Navigation.openWidgetElement('widgetReduxTable3'));

    it('should have correct initial data', () => {
        WidgetReduxTable.expectHeaders(['Date Of Birth']);
        WidgetReduxTable.expectTotal(2);
        WidgetReduxTable.expectRowPresent(2);
        WidgetReduxTable.expectRowNotPresent(3);
    });

    it('should filter with date picker filter', () => {
        afterDatePicker.expectInputEnabled();
        afterDatePicker.clickOnInput();
        afterDatePicker.selectDay('02');
        beforeDatePicker.clickOnInput();
        beforeDatePicker.selectDay('06');
        WidgetReduxTable.expectTotal(5);
        afterDatePicker.clickOnInput();
        afterDatePicker.selectDay('03');
        beforeDatePicker.clickOnInput();
        beforeDatePicker.selectDay('03');
        WidgetReduxTable.expectTotal(1);
    });
});
