import React from 'react';
import {mount} from 'enzyme';

import AlertSwitcher from '~/app/pages/widget-page/alert-switcher';

describe('AlertSwitcherTest', () => {
    it('should be able to get a chosen color from a clicked option', () => {
        const alertTypes = 'error, success, warning';
        const onChange = jest.fn();

        const wrapper = mount(<AlertSwitcher
            alertTypes={alertTypes}
            changeType={onChange}
            chosenType={'error'}
            groupName={'alert'}
        />);
        expect(wrapper.find('AlertSwitcher input').length).toEqual(3);
        const firstChildren = wrapper.find('AlertSwitcher').childAt(0).childAt(0);
        firstChildren.find('input').simulate('change');
        expect(onChange).toBeCalledWith('error');
    });
});
