import {getBodyClass, validationMessageClasses} from '~/app/utils/css-utils';

describe('css-utils', () => {
    describe('getBodyClass', () => {
        it('should create body CSS class', () => {
            expect(getBodyClass({})).toEqual('xl-react-components-input-full');
            expect(getBodyClass({label: 'my component'})).toEqual('xl-react-components-input');
        });
    });
    describe('validationMessageClasses', () => {
        it('should create a sequences of CSS classes after a validation', () => {
            expect(validationMessageClasses(true, {type: 'ERROR'})).toEqual({
                'invalid': false,
                'valid-with-warnings': false
            });
            expect(validationMessageClasses(false, {show: true, type: 'ERROR'})).toEqual({
                'invalid': true,
                'valid-with-warnings': false
            });
            expect(validationMessageClasses(true, {show: true, type: 'WARNING'})).toEqual({
                'invalid': false,
                'valid-with-warnings': true
            });
        });
    });
});
