import R from 'ramda';
import {invokeCallback} from '~/app/utils/function-utils';

describe('function-utils', () => {
    describe('invokeCallback', () => {
        it('should invoke second parameter if it is a function', () => {
            let value = 1;
            const fn = () => {
                value = 2;
            };
            invokeCallback({}, fn);
            expect(value).toEqual(2);
        });
        it('should invoke a function from an object', () => {
            let total = 0;
            const sum = (values) => {
                total = R.sum(values);
            };
            invokeCallback({sum}, {functionName: 'sum', values: [[1, 2]]});
            expect(total).toEqual(3);
        });
    });
});
