import React from 'react';
import {filters} from './filters-config';
import {
    buildColumns,
    positionColumns
} from '~/app/xl-react-widget/xl-react-widget-redux-table/filter-element-position-utils';

describe('filter-element-position-utils', () => {
    describe('positionColumns', () => {
        it('should position columns based on column/row position', () => {
            const sortedFilters = positionColumns(filters);
            expect(sortedFilters[0].key).toBe('firstname');
            expect(sortedFilters[1].key).toBe('city');
            expect(sortedFilters[2].key).toBe('address');
            expect(sortedFilters[3].key).toBe('state');
        });
    });

    describe('buildColumns', () => {
        it('should build columns depends on filters and configuration', () => {
            const filterElements = {
                autocomplete: () => <dip className="autocomplete"/>,
                input: () => <dip className="input"/>,
                tags: () => <dip className="tags"/>
            };

            const columns = buildColumns(filterElements, filters);

            expect(columns.length).toBe(2);
            expect(columns[0].length).toBe(2);
            expect(columns[1].length).toBe(2);
        });
    });
});
